## Apache Zeta Components Manual :: Docs For Class ezcAuthenticationDatabaseInfo

### AuthenticationDatabaseTiein::ezcAuthenticationDatabaseInfo

### Class ezcAuthenticationDatabaseInfo

Structure for defining the database and table to authenticate against.

Source for this file: /AuthenticationDatabaseTiein/src/filters/database/database_info.php

    ezcBaseStruct
       |
       --ezcAuthenticationDatabaseInfo

Version: | //autogentag//

### Member Variables

public array(string) | `$fields` Fields which hold the user credentials.
public ezcDbHandler | `$instance` Database instance.
public string | `$table` Table which stores the user credentials.

### Method Summary

public static ezcAuthenticationDatabaseInfo | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcAuthenticationDatabaseInfo | `__construct( $instance , $table , $fields )` Constructs a new ezcAuthenticationDatabaseInfo object.

### Methods

#### __set_state

static ezcAuthenticationDatabaseInfo __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) | Associative array of data members for this class

#### __construct

ezcAuthenticationDatabaseInfo __construct( $instance , string $table , $fields )

Constructs a new ezcAuthenticationDatabaseInfo object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$instance` | ezcDbHandler | Database instance to use
`$table` | string | Table which stores usernames and passwords
`$fields` | array(string) | The fields which hold usernames and passwords

Documentation generated by phpDocumentor 1.4.3